# FTSimpleLayout Class Reference

FTSimpleLayout is a specialisation of FTLayout for simple text boxes. More...

`#include <FTSimpleLayout.h>`

Inheritance diagram for FTSimpleLayout:

## Public Member Functions
| FTSimpleLayout ()
| Initializes line spacing to 1.0, alignment to ALIGN_LEFT and wrap to 100.0.
| ~FTSimpleLayout ()
| Destructor.
virtual FTBBox | BBox (const char *string, const int len=-1, FTPoint position=FTPoint())
| Get the bounding box for a formatted string.
virtual FTBBox | BBox (const wchar_t *string, const int len=-1, FTPoint position=FTPoint())
| Get the bounding box for a formatted string.
virtual void | Render (const char *string, const int len=-1, FTPoint position=FTPoint(), int renderMode=FTGL::RENDER_ALL)
| Render a string of characters.
virtual void | Render (const wchar_t *string, const int len=-1, FTPoint position=FTPoint(), int renderMode=FTGL::RENDER_ALL)
| Render a string of characters.
void | SetFont (FTFont *fontInit)
| Set the font to use for rendering the text.
FTFont * | GetFont ()
void | SetLineLength (const float LineLength)
| The maximum line length for formatting text.
float | GetLineLength () const
void | SetAlignment (const FTGL::TextAlignment Alignment)
| The text alignment mode used to distribute space within a line or rendered text.
FTGL::TextAlignment | GetAlignment () const
void | SetLineSpacing (const float LineSpacing)
| Sets the line height.
float | GetLineSpacing () const

## Detailed Description

FTSimpleLayout is a specialisation of FTLayout for simple text boxes.

This class has basic support for text wrapping, left, right and centered alignment, and text justification.

See also:
  FTLayout

Definition at line 49 of file FTSimpleLayout.h.

## Constructor & Destructor Documentation

FTSimpleLayout::FTSimpleLayout | ( |  | ) |

Initializes line spacing to 1.0, alignment to ALIGN_LEFT and wrap to 100.0.

FTSimpleLayout::~FTSimpleLayout | ( |  | ) |

Destructor.

## Member Function Documentation

virtual FTBBox FTSimpleLayout::BBox | ( | const wchar_t * | string,
|  | const int | len = `-1`,
|  | FTPoint | position = `FTPoint()` |
| ) |  |  | `[virtual]`

Get the bounding box for a formatted string.

Parameters:

  | string | A wchar_t string.
  | len | The length of the string. If < 0 then all characters will be checked until a null character is encountered (optional).
  | position | The pen position of the first character (optional).

Returns:
  The corresponding bounding box.

Implements FTLayout.

virtual FTBBox FTSimpleLayout::BBox | ( | const char * | string,
|  | const int | len = `-1`,
|  | FTPoint | position = `FTPoint()` |
| ) |  |  | `[virtual]`

Get the bounding box for a formatted string.

Parameters:

  | string | A char string.
  | len | The length of the string. If < 0 then all characters will be checked until a null character is encountered (optional).
  | position | The pen position of the first character (optional).

Returns:
  The corresponding bounding box.

Implements FTLayout.

FTGL::TextAlignment FTSimpleLayout::GetAlignment | ( |  | ) | const

Returns:
  The text alignment mode.

FTFont* FTSimpleLayout::GetFont | ( |  | ) |

Returns:
  The current font.

float FTSimpleLayout::GetLineLength | ( |  | ) | const

Returns:
  The current line length.

float FTSimpleLayout::GetLineSpacing | ( |  | ) | const

Returns:
  The line spacing.

virtual void FTSimpleLayout::Render | ( | const wchar_t * | string,
|  | const int | len = `-1`,
|  | FTPoint | position = `FTPoint()`,
|  | int | renderMode = `FTGL::RENDER_ALL` |
| ) |  |  | `[virtual]`

Render a string of characters.

Parameters:

  | string | wchar_t string to be output.
  | len | The length of the string. If < 0 then all characters will be displayed until a null character is encountered (optional).
  | position | The pen position of the first character (optional).
  | renderMode | Render mode to display (optional)

Implements FTLayout.

virtual void FTSimpleLayout::Render | ( | const char * | string,
|  | const int | len = `-1`,
|  | FTPoint | position = `FTPoint()`,
|  | int | renderMode = `FTGL::RENDER_ALL` |
| ) |  |  | `[virtual]`

Render a string of characters.

Parameters:

  | string | 'C' style string to be output.
  | len | The length of the string. If < 0 then all characters will be displayed until a null character is encountered (optional).
  | position | The pen position of the first character (optional).
  | renderMode | Render mode to display (optional)

Implements FTLayout.

void FTSimpleLayout::SetAlignment | ( | const FTGL::TextAlignment | Alignment | ) |

The text alignment mode used to distribute space within a line or rendered text.

Parameters:

  | Alignment | The new alignment mode.

void FTSimpleLayout::SetFont | ( | FTFont * | fontInit | ) |

Set the font to use for rendering the text.

Parameters:

  | fontInit | A pointer to the new font. The font is referenced by this but will not be disposed of when this is deleted.

void FTSimpleLayout::SetLineLength | ( | const float | LineLength | ) |

The maximum line length for formatting text.

Parameters:

  | LineLength | The new line length.

void FTSimpleLayout::SetLineSpacing | ( | const float | LineSpacing | ) |

Sets the line height.

Parameters:

  | LineSpacing | The height of each line of text expressed as a percentage of the current fonts line height.

The documentation for this class was generated from the following file:

- FTSimpleLayout.h